## EquilibrateIT.com

A containerized Wordpress, MySQL stack using [this official upstream project Dockerfile](https://github.com/docker-library/wordpress/blob/3f1a0cab9f2f938bbc57f5f92ec11eeea4511636/latest/php8.2/apache/Dockerfile)
### Environment Variables

*MySQL*

 - MYSQL_ROOT_PASSWORD
     - The password for the MySQL root database user
 - MYSQL_DATABASE
     - The name of the MySQL database to be created
 - MYSQL_USER
     - The name of the MySQL user to be created. Usually for web application db clients.
 - MYSQL_PASSWORD
     - The password for the above user. Best to store this encrypted at rest,
       via either LUKS or secret management software.

*Wordpress*

 - WORDPRESS_DB_NAME
     - The name of the database to be used by the Wordpress db client connection.
       Should match the MYSQL_DATABASE variable unless otherwise customized.
 - WORDPRESS_DB_HOST
     - Should match the docker-compose.yml service name so as to be properly
       resolved via the container name service of choice.
 - WORDPRESS_DB_USER
     - The name of the MySQL user created for the wordpress client to use.
 - WORDPRESS_DB_PASSWORD
     - The password for the above user. Best to store this encrypted at rest,
       via either LUKS or secret management software.

### Files
---
#### docker-compose.yml
##### To Do
 - mysql 8.1
 - Investigate php-fpm arch?

2 services (MySQL and Wordpress/apache) and 1 ad-hoc service (wp cli in webroot volume).

---
#### ansible/playbooks/equilibrateit.yml
Currently runs `podman-host` playbook to setup OS container platform.
